﻿header {
    position: sticky;
    top: 0;
    color: var(--light-text-color);
    z-index: 100;
    box-shadow: 0 1px 0 #00000020;
}

    header > .header-okaoka {
        background-color: var(--light-background-color);
    }

        header > .header-okaoka > div {
            display: flex;
            margin: 0 auto;
            padding: 4px 16px;
            justify-content: space-between;
            align-items: center;
        }

            header > .header-okaoka > div > a.logo-okaoka {
                display: block;
            }

                header > .header-okaoka > div > a.logo-okaoka > img {
                    display: block;
                    margin: 4px 0;
                    height: 24px;
                }

    header > .header-transportx {
        display: flex;
        padding: 8px 16px;
        justify-content: space-between;
        align-items: center;
        background-color: var(--background-color);
        color: var(--text-color);
    }

        header > .header-transportx > div.left-container {
            display: flex;
        }

            header > .header-transportx > div.left-container > a {
                font-size: 1.5em;
                line-height: 1;
                text-decoration: none;
                transform: translateY(0.1em);
            }

            header > .header-transportx > div.left-container > ul {
                display: flex;
                margin: 0;
            }

                header > .header-transportx > div.left-container > ul > li {
                    margin: 0 8px;
                    list-style: none;
                }

                    header > .header-transportx > div.left-container > ul > li > a {
                        text-decoration: none;
                    }

        header > .header-transportx > div.right-container {
            display: flex;
            margin-right: 24px;
            align-items: center;
        }

            header > .header-transportx > div.right-container > a {
                padding: 0 24px;
                border-radius: 10000px;
                font-size: 1.1em;
                font-weight: bolder;
                background: linear-gradient(135deg, hsl(from var(--main-color) h s 45%) 0%, hsl(from var(--main-color) h s 35%) 100%);
                text-decoration: none;
            }

@media screen and (max-width: 639px) {
    header > .header-okaoka > div > a.link-home {
        display: none;
    }

    header > .header-transportx > div.right-container {
        display: none;
    }
}

@media screen and (max-width: 479px) {
    header > .header-transportx > div.left-container > ul > li:first-child {
        display: none;
    }
}
